[Bug 513074] Re: profile is corrupted on FF 3.0.17 to 3.6 upgrade (Hardy 8.04 LTS only)

michael37 misha37 at yahoo.com
Thu Jan 28 02:28:23 UTC 2010

No, firefox-3.0-branding is removed.  Here are the steps that I
followed.  Hope it helps.

$ sudo apt-get dist-upgrade
The following NEW packages will be installed:
The following packages will be upgraded:
  firefox firefox-gnome-support
2 upgraded, 1 newly installed, 0 to remove and 0 not upgraded.
Unpacking firefox-branding (from .../firefox-branding_3.6+nobinonly-0ubuntu1~mfs~hardy1_i386.deb) ...
dpkg: error processing /var/cache/apt/archives/firefox-branding_3.6+nobinonly-0ubuntu1~mfs~hardy1_i386.deb (--unpack):
 trying to overwrite `/usr/share/applications/firefox.desktop', which is also in package firefox-3.0
dpkg-deb: subprocess paste killed by signal (Broken pipe)

firefox-3.0 firefox-3.0-gnome-support -- remain installed, can't be
removed by apt

sudo dpkg --force-all -r firefox-3.0 firefox-3.0-gnome-support

sudo apt-get -f install
<<completes installation>>

$ dpkg -l | grep firefox
ii  firefox                                    3.6+nobinonly-0ubuntu1~mfs~hardy1                          safe and easy web browser from Mozilla
rc  firefox-3.0                                3.0.17+nobinonly-0ubuntu0.8.04.1                           safe and easy web browser from Mozilla
ii  firefox-branding                           3.6+nobinonly-0ubuntu1~mfs~hardy1                          Package that ships the firefox branding
ii  firefox-gnome-support                      3.6+nobinonly-0ubuntu1~mfs~hardy1                          Support for GNOME in Mozilla Firefox
ii  mozilla-firefox-locale-en-gb                                              Mozilla Firefox English language/region pack

Hope that clarifies.

profile is corrupted on FF 3.0.17 to 3.6 upgrade (Hardy 8.04 LTS only)
You received this bug notification because you are a member of Mozilla
Bugs, which is subscribed to firefox in ubuntu.

More information about the Ubuntu-mozillateam-bugs mailing list